# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Managed Queues for mapwoc
#
# Authors:
# Andre Heinecke <aheinecke@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechni
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from Queue import Queue
import multiprocessing

class Mapwocqueue(object):
    def __init__(self):
        self.queue = multiprocessing.Queue()
        self.objects_put = 0
        self.objects_got = 0

    def put(self, item, block = True, timeout = None ):
        self.queue.put(item, block, timeout)
        self.objects_put += 1

    def put_nowait(self, object):
        self.queue.put_nowait(object)
        self.objects_put += 1

    def get_nowait(self):
        item = self.queue.get_nowait()
        self.objects_got += 1
        return item

    def get(self, block = True, timeout = None):
        item = self.queue.get(block, timeout)
        self.objects_got += 1
        return item

    def empty(self):
        return self.queue.empty()
