<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of Results")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="box" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title='${_(u"Filter Results")}'>
${h.link_to(_(u"Clear Filter"), h.url_for(controller='result',action='index'), align="right")}
%if not c.filtered_view:
 ${h.form(h.url_for(controller='result', action='filter'))}
  <h3>${_(u"By URL")}</h3>
   ${_(u"URL contains:")} ${h.text(name="searchmask",id="searchmask")}

  <h3>${_(u"By result type")}</h3>
    %for type in c.resulttypes:
      <span style="white-space:nowrap;">
      <input type="checkbox" value="${type.id}" name="resultType">${type.type_name}
      </span>
    %endfor

##  <h3>${_(u"By date")}</h3>
##    ${h.checkbox(name="datefilter", id="datefilter", active=False)}${_(u"Only ")}
##       ${_(u"from: ")}<input name="datefrom" id="datefrom" value="${c.dtfirst.strftime(_("%d.%m.%Y"))}">
##    ${_(u"to: ")}  <input name="dateto" id="dateto"  value="${c.dtnow.strftime(_("%d.%m.%Y"))}">

  <h3>${_(u"By Scan")}</h3>
    <select id="scanrun" name="scanrun" size="1">
      <option selected value="any">${_(u"Any Scan")}</option>
      %for scanrun in c.scanruns:
         <option value="${scanrun.id}">
        ${scanrun.scanconfiguration.name + " - " + \
          scanrun.starttime.strftime(_("%x - %X"))}
        </option>
      %endfor
    </select>

  <br />
  <br />
  ${h.submit(name="button", value=_(u"Filter"))}
%endif
</%self:box>

<%self:box title='${_(u"Results")}'>
  <%util:ifpaginate paginator='${c.visit_paginator}'>
    <table class="mw_table" style="width:100%">
    <tr>
      <th>${_(u"URL")}</th>
      <th>
        ${_(u"Time of Visit")}
        <br>
        <input type="image" name="sort_date_asc" src="/img/ascending.png">
        <input type="image" name="sort_date_desc" src="/img/descending.png">
      </th>
      <th>
        ${_(u"Results Found")}
        <br>
        <input type="image" name="sort_results_asc" src="/img/ascending.png">
        <input type="image" name="sort_results_desc" src="/img/descending.png">
      </th>
      <th>
        ${_(u"HoneyClient")}
        <br>
        <input type="image" name="sort_hcsid_asc" src="/img/ascending.png">
        <input type="image" name="sort_hcsid_desc" src="/img/descending.png">
      </th>
      <th>
        ${_(u"Highest Severity")}
        <br>
        <input type="image" name="sort_severity_asc" src="/img/ascending.png">
        <input type="image" name="sort_severity_desc" src="/img/descending.png">
      </th>
    </tr>
    %for visit in c.visit_paginator:
     <tr>
         <td>
             <%
             if visit.urls and len(visit.urls):
                 link_title = ", ".join([url.url for url in visit.urls])
             else:
                 link_title = _(u"(manual browsing)")
             %>
             ${h.link_to(link_title, h.url_for(controller='result',
                                                 action='view_visit',
                                                 id=visit.id))}
         </td>
         <td>
             ${h.link_to("%s" % (not visit.date or visit.date.strftime(_("%c"))),
              h.url_for(controller='result',action='view_visit',id=visit.id))}</td>
         <td>${_("%d results") % len(visit.results)}</td>
         <td>${hcsid_link_to_hcsid(visit.hcsid)}</td>
         <td style="background-color:${h.most_severe_resultcolor(visit.results)}">
            ${h.highest_severity(visit.results)}
         </td>
     </tr>
    %endfor
    </table>
    <%def name="empty()">
     %if not c.filtered_view:
       ${_(u"No results yet.")}
     %else:
       ${_(u"No results match the filter.")}
     %endif
    </%def>
  </%util:ifpaginate>
</%self:box>
${h.end_form()}
